## org.hibernate.bytecode.util
Class BasicClassFilter

    java.lang.Object
      org.hibernate.bytecode.util.BasicClassFilter

All Implemented Interfaces:
  ClassFilter

    public class BasicClassFilter

extends Object
implements ClassFilter

BasicClassFilter provides class filtering based on a series of packages to be included and/or a series of explicit class names to be included. If neither is specified, then no restrictions are applied.

Author:
  Steve Ebersole

Constructor Summary
`BasicClassFilter()`
`BasicClassFilter(String[] includedPackages, String[] includedClassNames)`

Method Summary
`boolean` `shouldInstrumentClass(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicClassFilter

    public BasicClassFilter()

### BasicClassFilter

    public BasicClassFilter(String[] includedPackages,
                            String[] includedClassNames)

Method Detail

### shouldInstrumentClass

    public boolean shouldInstrumentClass(String className)

  Specified by:
    `shouldInstrumentClass` in interface `ClassFilter`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.